odbc_foreignkeys
odbc_gettypeinfo
ODBC Functions
PHP Manual

# odbc_free_result

(PHP 4, PHP 5)

odbc_free_result — Free resources associated with a result

### Description

bool odbc_free_result ( resource `$result_id` )

Free resources associated with a result.

odbc_free_result() only needs to be called if you are worried about using too much memory while your script is running. All result memory will automatically be freed when the script is finished.

### Parameters

`result_id`

  The result identifier.

### Return Values

Always returns `TRUE`.

### Notes

> Note:

> If auto-commit is disabled (see odbc_autocommit()) and you call odbc_free_result() before committing, all pending transactions are rolled back.

odbc_foreignkeys
odbc_gettypeinfo
ODBC Functions
PHP Manual